Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517391 - [abrt] python3-speedtest-cli: get_config(): speedtest.py:1330:shell:TypeError: catching classes that do not inherit from BaseException is not allowed
Summary: [abrt] python3-speedtest-cli: get_config(): speedtest.py:1330:shell:TypeError...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-speedtest-cli
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cffa3d6d78a06bddbd1bd83fb75...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 19:50 UTC by sedrubal
Modified: 2018-11-30 18:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:27:11 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: cgroup (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: cpuinfo (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: environ (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: mountinfo (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: namespaces (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details
File: open_fds (deleted)
2017-11-24 19:50 UTC, sedrubal
no flags Details

Description sedrubal 2017-11-24 19:50:07 UTC
Description of problem:
I just unplugged my ehternet cable and started speedtest. There was another connection via wlan.

Version-Release number of selected component:
python3-speedtest-cli-1.0.2-2.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/speedtest
crash_function: get_config
exception_type: speedtest.ConfigRetrievalError
executable:     /usr/bin/speedtest
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
speedtest.py:1330:shell:TypeError: catching classes that do not inherit from BaseException is not allowed

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/speedtest.py", line 1329, in shell
    speedtest = Speedtest()
  File "/usr/lib/python3.6/site-packages/speedtest.py", line 702, in __init__
    self.get_config()
  File "/usr/lib/python3.6/site-packages/speedtest.py", line 724, in get_config
    raise ConfigRetrievalError(e)
speedtest.ConfigRetrievalError: <urlopen error [Errno -2] Name or service not known>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/speedtest", line 11, in <module>
    load_entry_point('speedtest-cli==1.0.2', 'console_scripts', 'speedtest')()
  File "/usr/lib/python3.6/site-packages/speedtest.py", line 1418, in main
    shell()
  File "/usr/lib/python3.6/site-packages/speedtest.py", line 1330, in shell
    except (ConfigRetrievalError, HTTP_ERRORS):
TypeError: catching classes that do not inherit from BaseException is not allowed

Local variables in innermost frame:
callback: <function print_dots at 0x7fa7cfd07158>
quiet: False
debug: False
args: Namespace(csv=False, csv_delimiter=',', csv_header=False, json=False, list=False, mini=None, secure=False, server=None, share=False, simple=False, source=None, timeout=10, units=('bit', 1), version=False)

Comment 1 sedrubal 2017-11-24 19:50:12 UTC
Created attachment 1358766 [details]
File: backtrace

Comment 2 sedrubal 2017-11-24 19:50:13 UTC
Created attachment 1358767 [details]
File: cgroup

Comment 3 sedrubal 2017-11-24 19:50:14 UTC
Created attachment 1358768 [details]
File: cpuinfo

Comment 4 sedrubal 2017-11-24 19:50:16 UTC
Created attachment 1358769 [details]
File: environ

Comment 5 sedrubal 2017-11-24 19:50:17 UTC
Created attachment 1358770 [details]
File: mountinfo

Comment 6 sedrubal 2017-11-24 19:50:18 UTC
Created attachment 1358771 [details]
File: namespaces

Comment 7 sedrubal 2017-11-24 19:50:20 UTC
Created attachment 1358772 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 18:02:30 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 18:27:11 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.